
public class Employee extends Person {
	
	private double salary;
	
	public double getSalary() {
		return salary;
	}

	public void setSalary(double salary) {
		
		if(salary < 0)
		{
			System.out.println("Salary Can't be negative, try again.");
			
		} else {
   		
			this.salary = salary;
		}
	}

	public Employee() {
		super();
	}

	public Employee(String name, int id) {
		super(name, id);
	}
	
	public Employee(String name) {
		super(name);
	}
	
	public Employee(String name, double salary) {
		super(name);
		this.setSalary(salary);
	}
	
	
	public void Greet() {
		System.out.println("Hello I'm an Employee named: " + this.getName());
	}

	@Override
	public String toString() {
		// System.out.println("Employee" + this.getName() + " ID= " + this.getID() + "Sal = " + this.getSalary());
	return "Employee " + this.getName() + " ID=" + this.getID() + " Sal=" + this.getSalary();
	
	}
	
}
